<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::NativeArray&lt; Element &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1NativeArray.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::NativeArray&lt; Element &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a12216d686e16e4cc63d952fada5b2ba9"><td class="memItemLeft" align="right" valign="top"><a id="a12216d686e16e4cc63d952fada5b2ba9"></a>
typedef Element&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:a12216d686e16e4cc63d952fada5b2ba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1301a57977b57a1ad013e4e25fc2a72"><td class="memItemLeft" align="right" valign="top"><a id="ac1301a57977b57a1ad013e4e25fc2a72"></a>
typedef Element *&#160;</td><td class="memItemRight" valign="bottom"><b>iterator</b></td></tr>
<tr class="separator:ac1301a57977b57a1ad013e4e25fc2a72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ce7c8408460d7158a2870456d134557"><td class="memItemLeft" align="right" valign="top"><a id="a9ce7c8408460d7158a2870456d134557"></a>
typedef const Element *&#160;</td><td class="memItemRight" valign="bottom"><b>const_iterator</b></td></tr>
<tr class="separator:a9ce7c8408460d7158a2870456d134557"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a52b3689c62532703d11e9d82939a7141"><td class="memItemLeft" align="right" valign="top"><a id="a52b3689c62532703d11e9d82939a7141"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>NativeArray</b> (const Element *array, size_t count, <a class="el" href="structtesting_1_1internal_1_1RelationToSourceReference.html">RelationToSourceReference</a>)</td></tr>
<tr class="separator:a52b3689c62532703d11e9d82939a7141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac184ee5741af5be3402213819c834405"><td class="memItemLeft" align="right" valign="top"><a id="ac184ee5741af5be3402213819c834405"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>NativeArray</b> (const Element *array, size_t count, <a class="el" href="structtesting_1_1internal_1_1RelationToSourceCopy.html">RelationToSourceCopy</a>)</td></tr>
<tr class="separator:ac184ee5741af5be3402213819c834405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb346ac3040f5da733f594cc2d5958bc"><td class="memItemLeft" align="right" valign="top"><a id="abb346ac3040f5da733f594cc2d5958bc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>NativeArray</b> (const <a class="el" href="classtesting_1_1internal_1_1NativeArray.html">NativeArray</a> &amp;rhs)</td></tr>
<tr class="separator:abb346ac3040f5da733f594cc2d5958bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af96a4a5ca0cdd5d163c47a081f08bd89"><td class="memItemLeft" align="right" valign="top"><a id="af96a4a5ca0cdd5d163c47a081f08bd89"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> () const</td></tr>
<tr class="separator:af96a4a5ca0cdd5d163c47a081f08bd89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3046d93cfa23097e7b7c91f5f982dc78"><td class="memItemLeft" align="right" valign="top"><a id="a3046d93cfa23097e7b7c91f5f982dc78"></a>
const_iterator&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const</td></tr>
<tr class="separator:a3046d93cfa23097e7b7c91f5f982dc78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1cda748e49c6906421c6183c4d07c5a"><td class="memItemLeft" align="right" valign="top"><a id="ae1cda748e49c6906421c6183c4d07c5a"></a>
const_iterator&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> () const</td></tr>
<tr class="separator:ae1cda748e49c6906421c6183c4d07c5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81b90f5739ed812610e68dc34c9e3850"><td class="memItemLeft" align="right" valign="top"><a id="a81b90f5739ed812610e68dc34c9e3850"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtesting_1_1internal_1_1NativeArray.html">NativeArray</a> &amp;rhs) const</td></tr>
<tr class="separator:a81b90f5739ed812610e68dc34c9e3850"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gtest-internal_8h_source.html">gtest-internal.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1NativeArray.html">NativeArray</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
